summaryrefslogtreecommitdiffstats
path: root/bin/doinitd
diff options
context:
space:
mode:
Diffstat (limited to 'bin/doinitd')
-rwxr-xr-xbin/doinitd15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/doinitd b/bin/doinitd
new file mode 100755
index 000000000..d4f725ab4
--- /dev/null
+++ b/bin/doinitd
@@ -0,0 +1,15 @@
+#!/bin/bash
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-src/portage/bin/doinitd,v 1.2.2.1 2005/01/13 04:51:56 vapier Exp $
+
+if [ ${#} -lt 1 ] ; then
+ echo "doinitd: at least one argument needed"
+ exit 1
+fi
+
+tmp_EXEDESTTREE="${EXEDESTTREE}"
+EXEDESTTREE=/etc/init.d/
+doexe "$@"
+EXEDESTTREE="${tmp_EXEDESTTREE}"
+unset tmp_EXEDESTTREE